%if 0%{?fedora}%{?rhel} == 0 || 0%{?fedora} >= 7 || 0%{?rhel} >= 6
%bcond_without cinepaint
%else
%bcond_with cinepaint
%endif

%if 0%{?fedora}%{?rhel} == 0 || 0%{?fedora} >= 6 || 0%{?rhel} >= 5
%bcond_without splitpackage
%else
%bcond_with splitpackage
%endif

%if 0%{?fedora}%{?rhel} == 0 || 0%{?fedora} >= 8 || 0%{?rhel} >= 5
%bcond_without pkg_mime_xml
%else
%bcond_with pkg_mime_xml
%endif

%if 0%{?fedora}%{?rhel} == 0 || 0%{?fedora} >= 12 || 0%{?rhel} >= 6
%bcond_without lensfun
%else
%bcond_with lensfun
%endif

%if %{with splitpackage}
%define spkg 1
%endif

%define gimptool %{_bindir}/gimptool-2.0
%define gimpplugindir %(%gimptool --gimpplugindir)/plug-ins

%if %{with cinepaint}
%define cinepaintplugindir %(pkg-config --variable=programplugindir cinepaint-gtk)/plug-ins
%endif

Summary: Raw image data retrieval tool for digital cameras
Name: ufraw
Version: 0.18
Release: 2%{?dist}
Group: Applications/Multimedia
License: GPLv2+
URL: http://ufraw.sourceforge.net
Source0: http://downloads.sourceforge.net/ufraw/ufraw-%{version}.tar.gz
# Submitted upstream at: https://sourceforge.net/tracker/index.php?func=detail&aid=3213478&group_id=127649&atid=709086#
Patch0: ufraw-0.18-darkframe.patch
BuildRequires: gimp-devel >= 2.2
BuildRequires: gimp >= 2.2
%if %{with cinepaint}
BuildRequires: cinepaint-devel >= 0.22
BuildRequires: cinepaint >= 0.22
%endif
BuildRequires: glib2-devel >= 2.12
BuildRequires: gtk2-devel >= 2.12
BuildRequires: gtkimageview-devel >= 1.6.1
BuildRequires: lcms-devel >= 1.14
BuildRequires: libexif-devel >= 0.6.13
BuildRequires: exiv2-devel >= 0.18.1
%if %{with lensfun}
BuildRequires: lensfun-devel >= 0.2.5
%endif
BuildRequires: libtiff-devel 
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig >= 0.9.0
BuildRequires: perl
BuildRequires: gettext
BuildRequires: cfitsio-devel
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%__id_u -n)
%if %{with splitpackage}
Requires: ufraw-common = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: ufraw < 0.10
Conflicts: ufraw < 0.10
%else
Requires: gimp%{?_isa}
%if %{with cinepaint}
Requires: cinepaint%{?_isa}
%endif
Requires(post): GConf2
Requires(preun): GConf2
%if %{with pkg_mime_xml}
Requires(post): shared-mime-info < 0.21
Requires(postun): shared-mime-info < 0.21
%else
Requires(post): shared-mime-info >= 0.21
Requires(postun): shared-mime-info >= 0.21
%endif
%endif
Requires: gtkimageview >= 1.6.1

#BuildRequires: automake libtool

%description
UFRaw is a tool for opening raw format images of digital cameras.

%if %{with splitpackage}
%package common
Summary: Common files needed by UFRaw
Group: Applications/Multimedia
Obsoletes: ufraw < 0.10
Conflicts: ufraw < 0.10
Requires(post): GConf2
Requires(preun): GConf2
Requires(post): shared-mime-info
Requires(postun): shared-mime-info

%description common
The ufraw-common files includes common files for UFRaw, e.g. language support.

%package gimp
Summary: GIMP plugin to retrieve raw image data from digital cameras
Group: Applications/Multimedia
Requires: ufraw-common = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: ufraw < 0.10
Conflicts: ufraw < 0.10
Requires: gimp%{?_isa}

%description gimp
The ufraw-gimp package contains a GIMP plugin for opening raw format images of
digital cameras.

%if %{with cinepaint}
%package cinepaint
Summary: CinePaint plugin to retrieve raw image data from digital cameras
Group: Applications/Multimedia
Requires: ufraw-common = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: ufraw < 0.10
Conflicts: ufraw < 0.10
Requires: cinepaint%{?_isa}

%description cinepaint
The ufraw-cinepaint package contains a CinePaint plugin for opening raw format
images of digital cameras.
%endif
%endif

%prep
cat << EOF

Building UFRaw with these settings:
cinepaint:      %{with cinepaint}
splitpackage:   %{with splitpackage}
pkg_mime_xml:   %{with pkg_mime_xml}
lensfun:        %{with lensfun}

EOF
%setup -q
%patch0 -p1 -b .darkframe

#./autogen.sh

%build
%configure \
%if %{with lensfun}
    --with-lensfun \
%endif
    --with-exiv2 --with-libexif --enable-mime --enable-extras \
    --enable-contrast

make schemasdir=%{_sysconfdir}/gconf/schemas

%install
rm -rf %buildroot
make DESTDIR=%buildroot schemasdir=%{_sysconfdir}/gconf/schemas install
# don't ship dcraw binary
rm -f %{buildroot}%{_bindir}/dcraw
%if %{with pkg_mime_xml}
install -d -m 0755 %buildroot%{_datadir}/mime/packages
install -m 0644 ufraw-mime.xml %buildroot%{_datadir}/mime/packages
%endif

%find_lang %{name}

%clean
rm -rf %buildroot

%post %{?spkg:common}
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ufraw.schemas >& /dev/null || :
%if %{with pkg_mime_xml}
update-mime-database >& /dev/null || :
%endif
%if %{with splitpackage}
%post
%endif
update-desktop-database >& /dev/null || :

%preun %{?spkg:common}
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule /etc/gconf/schemas/ufraw.schemas >& /dev/null || :

%postun %{?spkg:common}
%if %{with pkg_mime_xml}
update-mime-database >& /dev/null || :
%endif
%if %{with splitpackage}
%postun
%endif
update-desktop-database >& /dev/null || :

%files %{?spkg:common} -f %{name}.lang
%defattr(-, root, root, -)
%doc COPYING README
%if %{with pkg_mime_xml}
%{_datadir}/mime/packages/ufraw-mime.xml
%endif
%{_sysconfdir}/gconf/schemas/ufraw.schemas

%if %{with splitpackage}
%files
%defattr(-, root, root, -)
%endif
%_bindir/*
%_datadir/pixmaps/*
%_datadir/applications/*.desktop
%_mandir/man1/*

%if %{with splitpackage}
%files gimp
%defattr(-, root, root, -)
%endif
%dir %{gimpplugindir}
%{gimpplugindir}/ufraw-gimp

%if %{with cinepaint}
%if %{with splitpackage}
%files cinepaint
%defattr(-, root, root, -)
%endif
%dir %{cinepaintplugindir}
%{cinepaintplugindir}/ufraw-cinepaint
%endif

%changelog
* Tue Mar 15 2011 Nils Philippsen <nils@redhat.com> - 0.18-2
- fix crash when loading dark frame (#683199)

* Fri Mar 04 2011 Nils Philippsen <nils@redhat.com> - 0.18-1
- version 0.18
- add/update versioned build requirements

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.17-3
- rebuild (exiv2)

* Fri Dec 03 2010 Nils Philippsen <nils@redhat.com> - 0.17-2
- rebuild (exiv2)

* Wed Jun 02 2010 Nils Philippsen <nils@redhat.com> - 0.17-1
- version 0.17
- add BR: cfitsio-devel

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.16-3 
- rebuild (exiv2)

* Mon Jan 04 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.16-2 
- rebuild (exiv2)

* Sat Dec 05 2009 Dennis Gilmore <dennis@ausil.us> - 0.16-1
- update to 0.16

* Mon Aug 17 2009 Nils Philippsen <nils@redhat.com> - 0.15-4
- fix building with lensfun (#517558), only build with lensfun from F-12 on
- explain gcc-4.4 patch

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 02 2009 Nils Philippsen <nils@redhat.com> - 0.15-2
- fix building with gcc-4.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 26 2009 Nils Philippsen <nils@redhat.com> - 0.15-1
- version 0.15:
  - Multiprocessing support using OpenMP. Patch by Bruce Guenter.
  - Add progress report during the loading of raw files.
  - Add JPEG optimization to reduce the file size without effecting image
    quality.
  - Compatibility with the just released Exiv2-0.18.
  - Support sRAW1 and sRAW2 formats of the Canon 50D and 5D Mark II.
  - Some annoying bugs got squashed.
- use downloads.sourceforge.net source URL

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.14.1-4 
- respin (exiv2)

* Tue Dec 02 2008 Nils Philippsen <nils@redhat.com> - 0.14.1-3
- require gimp and cinepaint in the respective subpackages (#474021)

* Mon Dec 01 2008 Nils Philippsen <nils@redhat.com> - 0.14.1-2
- change license to GPLv2+

* Fri Nov 28 2008 Nils Philippsen <nils@redhat.com> - 0.14.1-1
- version 0.14.1
- use %%bcond_with/without macros
- enable building with lensfun from F11 on

* Fri Jul 04 2008 Nils Philippsen <nphilipp@redhat.com> - 0.13-6
- rebuild with gtkimageview-1.6.1

* Wed Jun 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.13-5 
- respin for exiv2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.13-4
- Autorebuild for GCC 4.3

* Wed Jan 02 2008 Nils Philippsen <nphilipp@redhat.com> - 0.13-3
- build against gtkimageview, drop scrollable-preview patch (#427028)

* Fri Nov 30 2007 Nils Philippsen <nphilipp@redhat.com> - 0.13-2
- make preview scrollable, window resizable

* Fri Nov 30 2007 Nils Philippsen <nphilipp@redhat.com> - 0.13-1
- version 0.13
- build cinepaint plugin from Fedora 7 on (#282641)

* Wed Nov 14 2007 Nils Philippsen <nphilipp@redhat.com> - 0.12-3
- rephrase summary
- use full path to gimptool

* Wed Sep 05 2007 Nils Philippsen <nphilipp@redhat.com> - 0.12-2
- change license to GPLv2

* Mon Aug 06 2007 Nils Philippsen <nphilipp@redhat.com> - 0.12-1
- version 0.12
- drop obsolete exiv2, cmserrorhandler patches
- package ufraw-mime.xml for up to Fedora 7, RHEL 5

* Thu May 24 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-8
- use correct patch

* Thu May 24 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-7
- prevent crash in CMS error handler (#239147)

* Wed Apr 25 2007 Rex Dieter <rdieter[AT]fedoraproject> - 0.11-6
- exiv2 patch (#237846)

* Wed Apr 25 2007 Rex Dieter <rdieter[AT]fedoraproject> - 0.11-5
- respin for exiv2-0.14

* Tue Apr 24 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-4
- eventually put GConf2, shared-mime-info requirements into -common subpackage
  (#235583)

* Mon Mar 12 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-3
- split pkg from fc6/rhel5 on to avoid upgrading mess

* Mon Mar 12 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-2
- use %%rhel, not %%redhat

* Mon Mar 12 2007 Nils Philippsen <nphilipp@redhat.com> - 0.11-1
- version 0.11

* Mon Feb 19 2007 Nils Philippsen <nphilipp@redhat.com> - 0.10-2
- don't ship dcraw binary (#229044)

* Wed Feb 07 2007 Nils Philippsen <nphilipp@redhat.com> - 0.10-1
- version 0.10
- add BR: perl, exiv2-devel, gettext
- split standalone tools and GIMP plugin in Rawhide

* Mon Aug 28 2006 Nils Philippsen <nphilipp@redhat.com> - 0.9.1-1
- version 0.9.1
- require gimp >= 2.0 for building

* Fri Feb 17 2006 Nils Philippsen <nphilipp@redhat.com> - 0.6-2
- rebuild

* Mon Nov 21 2005 Nils Philippsen <nphilipp@redhat.com> - 0.6-1
- version 0.6

* Thu Oct 06 2005 Nils Philippsen <nphilipp@redhat.com> - 0.5-1
- version 0.5

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.4-2
- rebuild to sync arches

* Tue Mar 29 2005 Seth Vidal <skvidal at phy.duke.edu> - 0.4-1
- buildrequire libtiff-devel and libjpeg-devel

* Thu Mar 24 2005 Nils Philippsen <nphilipp@redhat.com> - 0.4-1
- buildrequire lcms-devel
- trim summary
- change buildroot

* Wed Mar 02 2005 Nils Philippsen <nphilipp@redhat.com>
- version 0.4
- update URLs

* Wed Dec 01 2004 Nils Philippsen <nphilipp@redhat.com>
- version 0.2
- initial build
